//Ex6_4_1.cpp
#include "iostream" 
using namespace std;
class Date
{private:
   int day,month,year;
 public:
   Date(int,int,int);   //定义对象d1时使用
   Date::Date()
	{}             //定义对象d2时使用
   void init(int,int,int);
   void show_ymd();
   void show_mdy();
};
Date::Date(int y,int m,int d)
{month=(m>=1 && m<=12)?m:1;
 year=(y>1900 && y<=2100)?y:1900;
 day=(d>=1 && d<=31)?d:1;
}
void Date::init(int y,int m,int d)
{month=(m>=1 && m<=12)?m:1;
 year=(y>1900 && y<=2100)?y:1900;
 day=(d>=1 && d<=31)?d:1;
}
void Date::show_ymd()
{cout<<year<<"-"<<month<<"-"<<day<<endl;}
void Date::show_mdy()
{cout<<month<<"-"<<day<<"-"<<year<<endl;}
void main()
{Date d1(2007,6,8),d2;     
 d1.show_ymd();
 d2.init(2008,8,8); 
 d2.show_ymd();
}
